<?php

/**
 * Gateway Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Views
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2015-2017 DNSthingy
 * @license    All rights reserved
 * @link       https://www.dnsthingy.com
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Gateway Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Controllers
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2015-2017 DNSthingy
 * @license    All rights reserved
 * @link       http://www.dnsthingy.com/
 */

class Gateway_Management_Community extends ClearOS_Controller
{
    /**
     * Gateway_Management constructor.
     */
    function __construct()
    {
        // Load dependencies
        //------------------
        $this->lang->load('gateway_management');
        $this->lang->load('gateway_management_community');
        $this->load->library('gateway_management/DNSthingy');
    }

    /**
     * Gateway_Management default controller.
     *
     * @return view
     */
    function index()
    {
        if (!$this->dnsthingy->is_enabled())
            redirect('/gateway_management_community/settings/edit');

        // Load views
        //-----------

        $views = array('gateway_management_community/server', 'gateway_management_community/info', 'gateway_management_community/settings');

        $this->page->view_controllers($views, lang('gateway_management_community_app_name'));

    }
}
